Upload image payment link

PATCH/payment-links/upload-image/{paymentLinkId}

Add an image to the payment link.

Send the business identifier in the business-id header, the recommended one, or in the x-business-id header. The user of the API key must be a collaborator of that business, a seller of an active sales team of that business, or an Easyflow platform administrator. A request without the business identifier returns 401 with BusinessId is required, a request that sends business-id and x-business-id with different values returns 401, a value that is not a business identifier returns 400 with Invalid param: [businessId], and a user that is not linked to the business gets 403.

⚠️ Note: File upload may not work here due to documentation limitations. Try using Postman or curl to test it properly.

⚠️ Note: It will not be possible to update the image if there is a sale on the payment link

Headers

  • x-api-keystringrequired

    Api key provided on integrations tab in Easyflow platform.

  • x-api-secretstringrequired

    Api Secret provided on integrations tab in Easyflow platform.

  • business-idstringrequired

    Identifier of the business the request refers to. The user of your API key must be linked to this business, as explained in The business identifier. A value that is not a business identifier returns 400 with Invalid param: [businessId], a business that the user is not linked to returns 403, and a request that also sends x-business-id with a different value returns 401.

Path parameters

  • paymentLinkIdstringrequired

Request body

Content typemultipart/form-dataobject

  • picturestring · binaryrequired

    Image file to upload. The file name must end in .png, .jpg or .jpeg and the file can have up to 5,000,000 bytes. Otherwise the API returns 422.

Responses

200Returns the image that was saved

Returns the image that was saved

Content typeapplication/jsonobject

  • statusCodeinteger

    Example:200

  • dataobject
    Show child attributesHide child attributes
    • imageobject
      Show child attributesHide child attributes
      • namestring
      • pathstring
      • urlstring
      • isPublicboolean
      • extensionstring

        Possible values:pngjpgjpeg

400If the provided parameter is invalid, the API will return the following error response:

If the provided parameter is invalid, the API will return the following error response:

Content typeapplication/jsonobject

  • messagestring

    Invalid param: []

    Example:Invalid param: []

  • errorstring

    Bad Request

    Example:Bad Request

  • statusCodeinteger

    400

    Example:400

  • errorCodestring

    Code that identifies the error. Present only on some errors.

401The credential is missing or invalid, the request does not send the business identifier (message BusinessId is required), or it sends business-id and x-business-id with different values.

The credential is missing or invalid, the request does not send the business identifier (message BusinessId is required), or it sends business-id and x-business-id with different values.

Content typeapplication/jsonobject

  • messagestring

    Invalid field

    Example:Unauthorized

  • errorstring

    Unauthorized

    Example:Unauthorized

  • statusCodeinteger

    401

    Example:401

403The user of the API key is not a collaborator of the business sent in business-id or x-business-id, a seller of an active sales team of that business, or an Easyflow platform administrator.

The user of the API key is not a collaborator of the business sent in business-id or x-business-id, a seller of an active sales team of that business, or an Easyflow platform administrator.

Content typeapplication/jsonobject

  • messagestring

    Forbidden resource

    Example:Forbidden resource

  • errorstring

    Forbidden

    Example:Forbidden

  • statusCodeinteger

    403

    Example:403

422If the request is valid but cannot be processed, the API will return the following error response:

If the request is valid but cannot be processed, the API will return the following error response:

Content typeapplication/jsonobject

  • statusCodeintegerrequired

    HTTP status code.

  • messagestringrequired

    Explanation of the error.

  • errorstring

    Name of the HTTP status, such as Bad Request or Conflict.

  • errorCodestring

    Code that identifies the error. Present only on some errors.

500If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.

If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.

Content typeapplication/jsonobject

  • statusCodeinteger

    HTTP status code.

    Example:500

  • messagestring

    Explanation of the error.

    Example:Internal Server Error